This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 852893

Summary: Review Request: ddccontrol - Control your monitor by software using the DDC/CI protocol
Product: [Fedora] Fedora Reporter: Jaroslav Škarvada <jskarvad>
Component: Package ReviewAssignee: Jan Vcelak <jvcelak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jvcelak, notting, package-review, tsmetana
Target Milestone: ---Flags: jvcelak: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-23 01:06:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 852892    
Bug Blocks:    

Description Jaroslav Škarvada 2012-08-29 17:41:19 EDT
Spec URL: http://fedorapeople.org/~jskarvad/ddccontrol/ddccontrol.spec
SRPM URL: http://fedorapeople.org/~jskarvad/ddccontrol/ddccontrol-0.4.2-1.fc17.src.rpm
Description: DDCcontrol is a program to control monitor parameters, like brightness and contrast, by software, i.e. without using the OSD (On Screen Display) and the buttons in front of the monitor.
Fedora Account System Username: jskarvad

rpmlint warning about incorrect FSF address - there is snail-mail address, but latest license text uses e-mail address, thus probably no problem, but I will forward it upstream.
Comment 1 Jan Vcelak 2012-08-30 08:03:26 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.

     Incorrect FSF address were justified.

[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[!]: MUST Package contains desktop file if it is a GUI application.

     The desktop file is in a wrong subpackage. It should be in -gtk subpackage.

[x]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[!]: MUST Package complies to the Packaging Guidelines

     Why are the manual pages gzipped manually? Isn't this performed by rpmbuild?

     Is configuration file for autoloading really needed? If it is, you should relocate the configuration file to /usr/lib/modules-load.d/%{name}.conf.

[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "GPL (with incorrect
     FSF address)", "MIT/X11 (BSD like)" For detailed output of licensecheck
     see file:
     /home/fcelda/devel/fedora/review/852893-ddccontrol/licensecheck.txt
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[!]: MUST Requires correct, justified where necessary.

     Subpackage gtk requires the main package twice, with ISA and without, why?

[!]: MUST Rpmlint is run on all rpms the build produces.

     Please, justify: W: unused-direct-shlib-dependency

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[!]: MUST Spec file is legible and written in American English.

     I would change "buttons in front of the monitor" to "buttons on the monitor".

[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source1 (modules-autoload.conf)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:

[!]: MUST Package contains desktop file if it is a GUI application.
[!]: MUST Package complies to the Packaging Guidelines
[!]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint is run on all rpms the build produces.
[!]: MUST Spec file is legible and written in American English.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.

Rpmlint
-------
Checking: ddccontrol-0.4.2-1.fc17.x86_64.rpm
          ddccontrol-devel-0.4.2-1.fc17.x86_64.rpm
          ddccontrol-doc-0.4.2-1.fc17.noarch.rpm
          ddccontrol-debuginfo-0.4.2-1.fc17.x86_64.rpm
          ddccontrol-gtk-0.4.2-1.fc17.x86_64.rpm
          ddccontrol-0.4.2-1.fc17.src.rpm
ddccontrol.x86_64: E: incorrect-fsf-address /usr/share/doc/ddccontrol-0.4.2/COPYING
ddccontrol.x86_64: W: no-manual-page-for-binary ddcpci
ddccontrol-devel.x86_64: W: no-documentation
ddccontrol-devel.x86_64: E: incorrect-fsf-address /usr/include/ddccontrol/ddcci.h
ddccontrol-devel.x86_64: E: incorrect-fsf-address /usr/include/ddccontrol/ddcpci-ipc.h
ddccontrol-devel.x86_64: E: incorrect-fsf-address /usr/include/ddccontrol/conf.h
ddccontrol-devel.x86_64: E: incorrect-fsf-address /usr/include/ddccontrol/monitor_db.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/ddcci.c
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/ddcpci-ipc.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/conf.c
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/conf.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/ddcpci/ddcpci.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/monitor_db.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/ddcci.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/i2c-dev.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/monitor_db.c
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/ddcpci/nvidia.c
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/ddcpci/intel810.c
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/ddcpci/i2c-algo-bit.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/ddccontrol/main.c
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/ddcpci/main.c
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/ddcpci/i2c-algo-bit.c
6 packages and 0 specfiles checked; 20 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint ddccontrol-debuginfo ddccontrol-doc ddccontrol-gtk ddccontrol ddccontrol-devel
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/ddcci.c
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/ddcpci-ipc.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/conf.c
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/conf.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/ddcpci/ddcpci.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/monitor_db.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/ddcci.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/i2c-dev.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/lib/monitor_db.c
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/ddcpci/nvidia.c
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/ddcpci/intel810.c
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/ddcpci/i2c-algo-bit.h
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/ddccontrol/main.c
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/ddcpci/main.c
ddccontrol-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ddccontrol-0.4.2/src/ddcpci/i2c-algo-bit.c
ddccontrol.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libddccontrol.so.0.0.0 /lib64/libz.so.1
ddccontrol.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libddccontrol.so.0.0.0 /lib64/libm.so.6
ddccontrol.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libddccontrol.so.0.0.0 /lib64/libpci.so.3
ddccontrol.x86_64: E: incorrect-fsf-address /usr/share/doc/ddccontrol-0.4.2/COPYING
ddccontrol.x86_64: W: no-manual-page-for-binary ddcpci
ddccontrol-devel.x86_64: W: no-documentation
ddccontrol-devel.x86_64: E: incorrect-fsf-address /usr/include/ddccontrol/ddcci.h
ddccontrol-devel.x86_64: E: incorrect-fsf-address /usr/include/ddccontrol/ddcpci-ipc.h
ddccontrol-devel.x86_64: E: incorrect-fsf-address /usr/include/ddccontrol/conf.h
ddccontrol-devel.x86_64: E: incorrect-fsf-address /usr/include/ddccontrol/monitor_db.h


Requires
--------
ddccontrol-0.4.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    /sbin/ldconfig  
    /sbin/modprobe  
    config(ddccontrol) = 0.4.2-1.fc17
    ddccontrol-db  
    libc.so.6()(64bit)  
    libddccontrol.so.0()(64bit)  
    libm.so.6()(64bit)  
    libpci.so.3()(64bit)  
    libpci.so.3(LIBPCI_3.0)(64bit)  
    libpci.so.3(LIBPCI_3.1)(64bit)  
    libxml2.so.2()(64bit)  
    libxml2.so.2(LIBXML2_2.4.30)(64bit)  
    libxml2.so.2(LIBXML2_2.6.0)(64bit)  
    libxml2.so.2(LIBXML2_2.6.5)(64bit)  
    libz.so.1()(64bit)  
    rtld(GNU_HASH)  

ddccontrol-devel-0.4.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    ddccontrol(x86-64) = 0.4.2-1.fc17
    libddccontrol.so.0()(64bit)  

ddccontrol-doc-0.4.2-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    ddccontrol = 0.4.2-1.fc17

ddccontrol-debuginfo-0.4.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

ddccontrol-gtk-0.4.2-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    ddccontrol = 0.4.2-1.fc17
    ddccontrol(x86-64) = 0.4.2-1.fc17
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libddccontrol.so.0()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgthread-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libm.so.6()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    libpci.so.3()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    libxml2.so.2()(64bit)  
    libz.so.1()(64bit)  
    rtld(GNU_HASH)  

Provides
--------
ddccontrol-0.4.2-1.fc17.x86_64.rpm:
    
    config(ddccontrol) = 0.4.2-1.fc17
    ddccontrol = 0.4.2-1.fc17
    ddccontrol(x86-64) = 0.4.2-1.fc17
    libddccontrol.so.0()(64bit)  

ddccontrol-devel-0.4.2-1.fc17.x86_64.rpm:
    
    ddccontrol-devel = 0.4.2-1.fc17
    ddccontrol-devel(x86-64) = 0.4.2-1.fc17

ddccontrol-doc-0.4.2-1.fc17.noarch.rpm:
    
    ddccontrol-doc = 0.4.2-1.fc17

ddccontrol-debuginfo-0.4.2-1.fc17.x86_64.rpm:
    
    ddccontrol-debuginfo = 0.4.2-1.fc17
    ddccontrol-debuginfo(x86-64) = 0.4.2-1.fc17

ddccontrol-gtk-0.4.2-1.fc17.x86_64.rpm:
    
    ddccontrol-gtk = 0.4.2-1.fc17
    ddccontrol-gtk(x86-64) = 0.4.2-1.fc17

MD5-sum check
-------------
http://downloads.sourceforge.net/ddccontrol/ddccontrol-0.4.2.tar.bz2 :
  CHECKSUM(SHA256) this package     : 986f3b4b27ec04e1da493de3aaab01cd5ea9566d7572c1a40b8d43cd7a491e84
  CHECKSUM(SHA256) upstream package : 986f3b4b27ec04e1da493de3aaab01cd5ea9566d7572c1a40b8d43cd7a491e84


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 852893
External plugins:
Comment 2 Jaroslav Škarvada 2012-09-04 06:12:20 EDT
(In reply to comment #1)
Thanks for the review, new files:
Spec URL: http://fedorapeople.org/~jskarvad/ddccontrol/ddccontrol.spec
SRPM URL: http://fedorapeople.org/~jskarvad/ddccontrol/ddccontrol-0.4.2-2.fc17.src.rpm

> [!]: MUST Package contains desktop file if it is a GUI application.
> 
>      The desktop file is in a wrong subpackage. It should be in -gtk
> subpackage.
> 
Fixed.

> [!]: MUST Package complies to the Packaging Guidelines
> 
>      Why are the manual pages gzipped manually? Isn't this performed by
> rpmbuild?
> 

Fixed.

>      Is configuration file for autoloading really needed? If it is, you
> should relocate the configuration file to
> /usr/lib/modules-load.d/%{name}.conf.
> 
It is there to improve user experience - in most cases I2C is used for DDC (even with binary blob drivers). The presence of this module should be harmless and low footprint. Moved to /usr/lib/modules-load.d/%{name}.conf.

> [!]: MUST Requires correct, justified where necessary.
> 
>      Subpackage gtk requires the main package twice, with ISA and without,
> why?
> 
Fixed.

> [!]: MUST Rpmlint is run on all rpms the build produces.
> 
>      Please, justify: W: unused-direct-shlib-dependency
> 
Fixed.

> [x]: MUST Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [!]: MUST Spec file is legible and written in American English.
> 
>      I would change "buttons in front of the monitor" to "buttons on the
> monitor".
> 
To be even more generic used "monitor HW controls"

> [!]: SHOULD SourceX / PatchY prefixed with %{name}.
>      Note: Source1 (modules-autoload.conf)
>
Couldn't find this requirement in Review guidelines nor Packaging guidelines, but fixed.

> ddccontrol.x86_64: E: incorrect-fsf-address
> /usr/share/doc/ddccontrol-0.4.2/COPYING
>
Problem with incorrect FSF snail mail address reported upstream.

New warnings appear:
ddccontrol.spec:48: E: hardcoded-library-path in %{_prefix}/lib/modules-load.d/%{name}.conf
ddccontrol.spec:96: E: hardcoded-library-path in %{_prefix}/lib/modules-load.d/%{name}.conf

Probably false positives.
Comment 3 Jaroslav Škarvada 2012-09-04 15:31:11 EDT
Rebase to git head:

Spec URL: http://fedorapeople.org/~jskarvad/ddccontrol/ddccontrol.spec
SRPM URL: http://fedorapeople.org/~jskarvad/ddccontrol/ddccontrol-0.4.2-3.20120904gitc3af663d.fc17.src.rpm

Autopoint patch switches to autopoint instead of gettextize that is interactive tool and requires response from terminal. I will try to get this upstream.
Comment 4 Jan Vcelak 2012-09-11 03:03:58 EDT
(In reply to comment #2)
> New warnings appear:
> ddccontrol.spec:48: E: hardcoded-library-path in
> %{_prefix}/lib/modules-load.d/%{name}.conf
> ddccontrol.spec:96: E: hardcoded-library-path in
> %{_prefix}/lib/modules-load.d/%{name}.conf
> 
> Probably false positives.

Rechecked, indeed false positive. The content of the file does not contain hardcoded library name.

All issues are fixed. Thank you.

fedora-review+
Comment 5 Jaroslav Škarvada 2012-09-17 09:37:53 EDT
New Package SCM Request
=======================
Package Name: ddccontrol
Short Description: Control your monitor by software using the DDC/CI protocol
Owners: jskarvad
Branches: f17 f18
InitialCC: jvcelak
Comment 6 Jon Ciesla 2012-09-17 09:55:35 EDT
Git done (by process-git-requests).
Comment 7 Jaroslav Škarvada 2012-09-17 10:38:24 EDT
Thanks.
Comment 8 Fedora Update System 2012-09-17 11:40:09 EDT
ddccontrol-0.4.2-3.20120904gitc3af663d.fc18,ddccontrol-db-20061014-3.20120904gite8cc385a.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ddccontrol-0.4.2-3.20120904gitc3af663d.fc18,ddccontrol-db-20061014-3.20120904gite8cc385a.fc18
Comment 9 Fedora Update System 2012-09-17 16:38:13 EDT
Package ddccontrol-0.4.2-3.20120904gitc3af663d.fc18, ddccontrol-db-20061014-3.20120904gite8cc385a.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ddccontrol-0.4.2-3.20120904gitc3af663d.fc18 ddccontrol-db-20061014-3.20120904gite8cc385a.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14222/ddccontrol-0.4.2-3.20120904gitc3af663d.fc18,ddccontrol-db-20061014-3.20120904gite8cc385a.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-09-18 03:27:16 EDT
ddccontrol-0.4.2-3.20120904gitc3af663d.fc17,ddccontrol-db-20061014-3.20120904gite8cc385a.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ddccontrol-0.4.2-3.20120904gitc3af663d.fc17,ddccontrol-db-20061014-3.20120904gite8cc385a.fc17
Comment 11 Fedora Update System 2012-09-23 01:06:13 EDT
ddccontrol-0.4.2-3.20120904gitc3af663d.fc18, ddccontrol-db-20061014-3.20120904gite8cc385a.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-09-27 00:24:11 EDT
ddccontrol-0.4.2-3.20120904gitc3af663d.fc17, ddccontrol-db-20061014-3.20120904gite8cc385a.fc17 has been pushed to the Fedora 17 stable repository.